Innovate with Comprehensive Developer Resources

Explore the tools you need to build cutting-edge applications and seamless integrations. Our platform offers APIs, SDKs, and detailed documentation. Connect with our developer community and reach out for support. Let's innovate together!

DatabridgeAi Integration Instructions for Pre-Trained Models

Follow these step-by-step instructions to integrate our models with your services smoothly:

1. Register an Account on Our Admin Platform

curl --location --request POST 'https://api.databridgeai.com/auth/register' --header 'Content-Type: application/json' --data-raw '{
  "email": "test.company@email.com",
  "password": "test@123",
  "name": "Test Company"
}'

2. Log In to Your Account on Our Admin Platform

curl --location --request POST 'https://api.databridgeai.com/auth/login' --header 'Content-Type: application/json' --data-raw '{
  "email": "test.company@email.com",
  "password": "test@123"
}'

3. Create Your Custom Model

curl --location --request POST 'https://api.databridgeai.com/custom-model/onboard' --header 'Authorization: Bearer <api_token>' --form 'file=@"<absolute_file_path>"' --form 'targetField="<your target field>"' --form 'title="<your file name>"' --form 'csvMetadata="<metadata optional>"'

4. Check the Status of Your Model Onboarding

curl --location --request GET 'https://api.databridgeai.com/custom-model/onboard/<onboard_id>' --header 'Content-Type: application/json' --header 'Authorization: Bearer <api_token>'

5. Perform Predictions with Your Custom Model

curl --location --request POST 'https://api.databridgeai.com/custom-model/' --header 'Content-Type: application/json' --data-raw '{
  "onboardId": "<onboardId>",
  "parameters": {
    "param1": "value1",
    "param2": "value2"
  }
}'
curl --location --request POST 'https://api.databridgeai.com/custom-model/batch-prediction/' --header 'Content-Type: multipart/form-data' --form 'file=@"<absolute_file_path>"' --form 'onboardId="<onboardId>"'

10. Get Prediction History

curl --location --request GET 'https://api.databridgeai.com/custom-model/prediction/history?type=batch'
curl --location --request GET 'https://api.databridgeai.com/custom-model/prediction/history?type=single'

7. Refresh Your Token

curl --location --request GET 'https://api.databridgeai.com/auth/refresh-token' --header 'Content-Type: application/json'

8. Retrieve Model Data

curl --location --request GET 'https://api.databridgeai.com/custom-model/onboard' --header 'Content-Type: application/json'

9. Retrieve Prediction Data for a Specific User and Month

Use this function to retrieve prediction data for a specific user and month. Replace id with the user ID and paramswith the month (or any other parameters).

curl --location --request GET 'https://api.databridgeai.com/billing/{id}/{params}' --header 'Content-Type: application/json'

6. Retrieve Your API Token

curl --location --request GET 'https://api.databridgeai.com/auth/get-api-token' --header 'Content-Type: application/json'